Bug 192456 - vt vt_vga graphical console very slow in XenServer, VirtualBox
Summary: vt vt_vga graphical console very slow in XenServer, VirtualBox
Status: Closed FIXED
Alias: None
Product: Base System
Classification: Unclassified
Component: kern (show other bugs)
Version: CURRENT
Hardware: Any Any
: --- Affects Only Me
Assignee: freebsd-bugs mailing list
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2014-08-06 23:24 UTC by Adam McDougall
Modified: 2014-09-16 02:33 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Adam McDougall 2014-08-06 23:24:33 UTC
I tried booting with kern.vty=vt on Xen and VirtualBox to see what happens.  XenServer console is extremely slow, about 4-5 seconds to redraw the whole screen each time a new line is printed, booting takes several minutes.  VirtualBox is slow, but not as bad, takes approx 1 second to redraw screen (tolerable but not ideal).

I tried FreeBSD-11.0-CURRENT-amd64-20140804-r269497-disc1.iso as well as snapshot isos of 10 and 11 from about a month ago (I didn't specifically check age).

Setting hw.vga.textmode=1 restores normal speed like syscons.  Would it be a good idea to make the kernel default to textmode if kern.vm_guest isn't "none"?
Comment 1 Ed Maste freebsd_committer 2014-09-14 12:25:06 UTC
I believe this should be fixed as of r270322.  Can you test again with a newer snapshot?

https://svnweb.freebsd.org/base?view=revision&revision=270322
Comment 2 Adam McDougall 2014-09-16 02:33:52 UTC
I tested with r270990 and it wasn't quite as fast as text mode but much much better and entirely tolerable, especially once the kernel is done booting.  Completely willing to call his solved, thanks!